%define _sysconfdir /etc

%define patchlevel pl08
%define majorversion 20010228
%define jmanversion %{majorversion}pl02

Summary:   Postfix Mail Transport Agent
Name:      postfix
Version:   0.0.%{majorversion}%{patchlevel}
#Version:   0.0.%{majorversion}
Release:   0vl3
URL:       http://www.postfix.org/
Source0:   ftp://postfix.cloud9.net/%{name}-%{majorversion}-%{patchlevel}.tar.gz
#Source0:   ftp://postfix.cloud9.net/release-%{majorversion}.tar.gz
Source1:   postfix.aliases
Source2:   postfix.cron
Source3:   postfix.init
Source4:   http://www.chem.nagoya-u.ac.jp/ike/postfix/postfix_jman_man.tar.gz
Source5:   http://www.chem.nagoya-u.ac.jp/ike/postfix/postfix_jconf.tar.gz
Source6:   http://www.chem.nagoya-u.ac.jp/ike/postfix/faq-jp.html
Source7:   http://www.chem.nagoya-u.ac.jp/ike/postfix/INSTALL.jp
Source8:   http://www.chem.nagoya-u.ac.jp/ike/postfix/LINUX_README.jp
Source9:   http://www.chem.nagoya-u.ac.jp/ike/postfix/RESTRICTION_CLASS.jp
Patch:     postfix-main.cf.patch.bz2
Copyright: Distributable
Group:     System Environment/Daemons
Provides:  smtpdaemon
Conflicts: sendmail
Requires:  procmail
Prereq:    /sbin/chkconfig
BuildPreReq: db3-devel
Obsoletes: postfix-beta
BuildRoot: %{_tmppath}/%{name}-%{version}-root

Vendor: Project Vine
Distribution: Vine Linux
Packager: Daisuke SUZUKI <daisuke@linux.or.jp>

Summary(ja):   Postfix ᡼ȥ󥹥ݡȥ


%description
Postfix aims to be an alternative to the widely-used sendmail
program.  Sendmail is responsible for 70 percent of all e-mail delivered
on the Internet.  With an estimated 100 million users, that's an
estimated 10 billion (10^10) messages daily. A stunning number.

Although IBM supported the Postfix development, it abstains from
control over its evolution. The goal is to have Postfix installed
on as many systems as possible. To this end, the software is given
away with no strings attached to it, so that it can evolve with
input from and under control by its users.

%description -l ja
Postfix ϸ߹ȤƤ sendmail ֤Ū
ȯƤޤSendmail  70%  E-mail Фǻ
ƤޤޤλѼԤ 100ͤˤ⤪ӡ褽
 1 ̤Υ᡼Ƥޤ

Postfix γȯ IBM ˤäƥݡȤƤꡢ
ƤΥƥ postfix ˤ뤳ȤɸȤƤޤ


%prep
%setup -q -n postfix-%{majorversion}-%{patchlevel} -a 4 -a 5
cp -f %{SOURCE6} html/
cp -f %{SOURCE7} %{SOURCE8} %{SOURCE9} .

%patch -p1


%build
make DEBUG="" OPT="$RPM_OPT_FLAGS"


%install
rm -rf $RPM_BUILD_ROOT
rm -f html/Makefile.in

install -d $RPM_BUILD_ROOT%{_sysconfdir}/cron.daily
install -d $RPM_BUILD_ROOT%{_sysconfdir}/postfix
install -d $RPM_BUILD_ROOT%{_sysconfdir}/rc.d/init.d
install -d $RPM_BUILD_ROOT%{_bindir}
install -d $RPM_BUILD_ROOT%{_libdir}/postfix
install -d $RPM_BUILD_ROOT%{_mandir}/man{1,5,8}
install -d $RPM_BUILD_ROOT%{_mandir}/ja/man{1,5,8}
install -d $RPM_BUILD_ROOT%{_sbindir}
install -d $RPM_BUILD_ROOT%{_var}/spool/postfix
install -d $RPM_BUILD_ROOT%{_var}/spool/postfix/maildrop

install -m755 bin/* $RPM_BUILD_ROOT%{_sbindir}
install -m755 libexec/* $RPM_BUILD_ROOT%{_libdir}/postfix
install -m644 conf/access $RPM_BUILD_ROOT%{_sysconfdir}/postfix
install -m644 conf/canonical $RPM_BUILD_ROOT%{_sysconfdir}/postfix
install -m644 conf/main.cf $RPM_BUILD_ROOT%{_sysconfdir}/postfix
install -m644 conf/main.cf.default $RPM_BUILD_ROOT%{_sysconfdir}/postfix
install -m644 conf/master.cf $RPM_BUILD_ROOT%{_sysconfdir}/postfix
install -m755 conf/postfix-script-nosgid $RPM_BUILD_ROOT%{_sysconfdir}/postfix/postfix-script
install -m644 conf/relocated $RPM_BUILD_ROOT%{_sysconfdir}/postfix
install -m644 conf/transport $RPM_BUILD_ROOT%{_sysconfdir}/postfix
install -m644 conf/virtual $RPM_BUILD_ROOT%{_sysconfdir}/postfix
install -m644 conf/pcre_table $RPM_BUILD_ROOT%{_sysconfdir}/postfix
install -m644 conf/regexp_table $RPM_BUILD_ROOT%{_sysconfdir}/postfix
install -m644 man/man1/* $RPM_BUILD_ROOT%{_mandir}/man1
install -m644 man/man5/* $RPM_BUILD_ROOT%{_mandir}/man5
install -m644 man/man8/* $RPM_BUILD_ROOT%{_mandir}/man8
install -m644 postfix_jman_man.%{jmanversion}/man/ja/man1/* $RPM_BUILD_ROOT%{_mandir}/ja/man1
install -m644 postfix_jman_man.%{jmanversion}/man/ja/man5/* $RPM_BUILD_ROOT%{_mandir}/ja/man5
install -m644 postfix_jman_man.%{jmanversion}/man/ja/man8/* $RPM_BUILD_ROOT%{_mandir}/ja/man8

install -d sample; install -m644 conf/sample*.cf sample
install -d sample.jp; install -m644 conf/*.jp sample.jp

install -m644 %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/postfix/aliases
install -m755 %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/cron.daily/postfix
install -m755 %{SOURCE3} $RPM_BUILD_ROOT%{_sysconfdir}/rc.d/init.d/postfix

ln -sf postfix/aliases $RPM_BUILD_ROOT%{_sysconfdir}/aliases
ln -sf postfix/aliases.db $RPM_BUILD_ROOT%{_sysconfdir}/aliases.db

( cd $RPM_BUILD_ROOT%{_bindir}
  ln -sf ../sbin/sendmail mailq
  ln -sf ../sbin/sendmail newaliases
)
( cd $RPM_BUILD_ROOT%{_libdir}
  ln -sf ../sbin/sendmail sendmail
)

for I in etc/postfix/{aliases,access,canonical,relocated,transport,virtual}
do
   touch $RPM_BUILD_ROOT/$I{,.db}
done


%pre
if [ `grep postfix %{_sysconfdir}/passwd | wc -l` = 0 ]; then
   %{_sbindir}/useradd -M -r -d %{_var}/spool/postfix -s "" \
                     -c "postfix" postfix || :
fi
if [ `grep postfix %{_sysconfdir}/group | wc -l` = 0 ]; then
  %{_sbindir}/groupadd postfix
fi
#if [ -f %{_var}/lock/subsys/postfix ]; then
#   %{_sysconfdir}/rc.d/init.d/postfix stop
#fi


%post
%{_sbindir}/postalias %{_sysconfdir}/postfix/aliases
/sbin/chkconfig --add postfix
if [ ! -e %{_libdir}/sendmail ]; then
	ln -sf %{_sbindir}/sendmail %{_libdir}/sendmail
fi
/sbin/chkconfig --del sendmail &> /dev/null ||:
%{_sbindir}/postfix check >/dev/null 2>&1 ||:
if [ -f %{_var}/lock/subsys/postfix ]; then
   %{_sysconfdir}/rc.d/init.d/postfix restart
fi


%preun
if [ $1 = 0 ]; then
   if [ -f %{_var}/lock/subsys/postfix -a -f %{_sysconfdir}/rc.d/init.d/postfix ]; then
      %{_sysconfdir}/rc.d/init.d/postfix stop
   fi
   /sbin/chkconfig --del postfix
fi


%postun
if [ $1 = 0 ]; then
   if [ `grep postfix %{_sysconfdir}/passwd | wc -l` = 1 ]; then
      %{_sbindir}/userdel postfix
   fi
   if [ `grep postfix %{_sysconfdir}/group | wc -l` = 1 ]; then
      %{_sbindir}/groupdel postfix
   fi
   if ! [ -f %{_var}/lock/subsys/postfix ]; then
        rm -rf %{_var}/lock/subsys/postfix
   fi
fi


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root)
%doc html sample sample.jp 0README COMPATIBILITY HISTORY LICENSE RELEASE_NOTES TODO
%doc INSTALL.jp RESTRICTION_CLASS.jp LINUX_README.jp
%{_sysconfdir}/aliases
%{_sysconfdir}/aliases.db
%config %{_sysconfdir}/cron.daily/postfix
%dir %{_sysconfdir}/postfix
%config(noreplace) %{_sysconfdir}/postfix/aliases
%config(noreplace) %{_sysconfdir}/postfix/access
%config(noreplace) %{_sysconfdir}/postfix/canonical
%config(noreplace) %{_sysconfdir}/postfix/main.cf
%config %{_sysconfdir}/postfix/main.cf.default
%config %{_sysconfdir}/postfix/master.cf
%config %{_sysconfdir}/postfix/postfix-script
%config(noreplace) %{_sysconfdir}/postfix/relocated
%config(noreplace) %{_sysconfdir}/postfix/transport
%config(noreplace) %{_sysconfdir}/postfix/virtual
%config(noreplace) %{_sysconfdir}/postfix/pcre_table
%config(noreplace) %{_sysconfdir}/postfix/regexp_table
%config %{_sysconfdir}/rc.d/init.d/postfix
%{_bindir}/*
%{_libdir}/postfix
%{_sbindir}/*
%attr(-,root,man) %{_mandir}/man*/*
%attr(-,root,man) %{_mandir}/ja/man*/*
%dir %{_var}/spool/postfix
%attr(1733,postfix,root) %{_var}/spool/postfix/maildrop
%{_libdir}/sendmail


%changelog
* Mon Feb 18 2002 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 0.0.20010228pl08-0vl3
- not stop in %%pre
- not start but restart in %%post

* Mon Dec 31 2001 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 0.0.20010228pl08-0vl2
- added BuildPreReq: db3-devel

* Sat Nov 24 2001 Daisuke SUZUKI <daisuke@linux.or.jp> 0.0.20010228pl08-0vl1
- updated to 20010228-pl08

* Fri Nov  9 2001 Daisuke SUZUKI <daisuke@linux.or.jp> 0.0.20010228pl06-0vl1
- updated to 20010228-pl06

* Sun Sep 23 2001 Daisuke SUZUKI <daisuke@linux.or.jp> 0.0.20010228pl05-0vl1
- updated to 20010228-pl05

* Wed Aug  1 2001 Daisuke SUZUKI <daisuke@linux.or.jp> 0.0.20010228pl04-0vl1
- updated to 20010228-pl04

* Wed Jun 27 2001 Daisuke SUZUKI <daisuke@linux.or.jp> 0.0.20010228pl03-0vl2
- update Japanese documents and manpages

* Sun May 27 2001 Daisuke SUZUKI <daisuke@linux.or.jp> 0.0.20010228pl03-0vl1
- updated to 20010228-pl03

* Mon May 21 2001 MATSUBAYASHI 'Shaolin' Kohji <shaolin@vinelinux.org>
- 0.0.20010228pl02-0vl3
- modified %%preun script again
  (to check whether %%{_sysconfidir}/rc.d/init.d/postfix already exists)

* Wed May 02 2001 MATSUBAYASHI 'Shaolin' Kohji <shaolin@vinelinux.org>
- 0.0.20010228pl02-0vl2
- fixed incorrect %%preun script :-P

* Tue May  1 2001 Daisuke SUZUKI <daisuke@linux.or.jp> 0.0.20010228pl02-0vl1
- updated to 20010228-pl02

* Wed Apr 11 2001 Daisuke SUZUKI <daisuke@linux.or.jp> 0.0.20010228pl01-0vl4
- add {pcre,regexp}_table to %files
- don't replace config files
- start postfix after install/upgrade

* Mon Apr 09 2001 Daisuke SUZUKI <daisuke@linux.or.jp> 0.0.20010228pl01-0vl2
- updated jman pages and translations.
- added japanese sample config files.

* Sat Mar 31 2001 Daisuke SUZUKI <daisuke@linux.or.jp> 0.0.20010228pl01-0vl1
- updated to 20010228-pl01

* Thu Mar  1 2001 Daisuke SUZUKI <daisuke@linux.or.jp> 0.0.20010228-0vl2
- fixed file location

* Thu Mar  1 2001 Daisuke SUZUKI <daisuke@linux.or.jp> 0.0.20010228-0vl1
- updated to 20010228

* Tue Dec 26 2000 Tomoya TAKA <tomoya@olive.plala.or.jp> 0.0.199912310pl13-0vl2
- fixed about mandir

* Thu Nov 23 2000 Daisuke SUZUKI <daisuke@linux.or.jp> 0.0.199912310pl13-0vl1
- updated to 19991231-pl13
- use rpm macros in spec

* Thu Nov 23 2000 Daisuke SUZUKI <daisuke@linux.or.jp> 0.0.199912310pl11-0vl1
- updated to 19991231-pl11

* Thu Nov  9 2000 Daisuke SUZUKI <daisuke@linux.or.jp> 0.0.199912310pl10-0vl1
- updated to 19991231-pl10

* Thu Oct 12 2000 Yoshihiro Kajiki <kajiki@ylug.org>
- fix newaliases problem by adding slink

* Sat Oct  2 2000 Daisuke SUZUKI <daisuke@linux.or.jp>
- add japanese man pages

* Sun Oct  1 2000 Jun Nishii <jun@vinelinux.org>
- updates to 19991231-pl09-0vl2
- fixed Group

* Sat Sep 22 2000 Daisuke SUZUKI <daisuke@linux.or.jp>
- updates to 19991231-pl09

* Wed Aug 09 2000 MACHINO, Satoshi <mac@netfort.gr.jp>
- %build, removed bzip2 -9 and strip
- fixed %files section to handle compressed man page

* Wed Jun 21 2000 Daisuke SUZUKI <daisuke@linux.or.jp>
- Version name changes to 0.0.version
- updates to 19991231-pl08
  + Major changes with postfix-19991231-pl08: 
    Specify "body_checks = regexp:%{_sysconfdir}/postfix/body_checks" for a quick
    and dirty emergency content filter that looks at non-header lines
    one line at a time (including MIME headers inside the message body).
    Details in conf/sample-filter.cf.
  + Incompatible changes with postfix-19991231-pl07:
    As required by RFC 822, Postfix now inserts a generic destination
    message header when no destination header is present.  The text is
    specified via the undisclosed_recipients_header configuration
    parameter (default:  "To: undisclosed-recipients:;").

* Thu Apr  6 2000 Daisuke SUZUKI <daisuke@linux.or.jp>
- updates to 19991231-pl06
- added percent hack to main.cf

* Sun Feb 20 2000 Daisuke SUZUKI <daisuke@linux.or.jp>
- adopted to Vine Linux

* Mon Jan  3 2000 Jean-Michel Dault <jmdault@netrevolution.com>
- updated to 19991231
- added postfix group
- corrected aliases.db bug

* Mon Dec 27 1999 Jerome Dumonteil <jd@mandrakesoft.com>
- Add postfix check in post to create sub dirs in spool

* Mon Dec 20 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Add -a $DOMAIN -d $LOGNAME to procmail (philippe).
- New banner.

* Wed Nov 10 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- fix if conflicts with sendmail.

* Sat Jun  5 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- install bins from libexec/

* Sat Jun  5 1999 Bernhard Rosenkrzer <bero@mandrakesoft.com>
- 19990601
- .spec cleanup for easier updates

* Wed May 26 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- created link from %{_sbindir}/sendmail to %{_libdir}/sendmail
  so it doesn't bug out when i rpm -e sendmail
- Now removes %{_var}/lock/subsys/postfix like a good little prog
  upon rpm -e

* Fri Apr 23 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- Mandrake adptations.

* Tue Apr 13 1999 Arne Coucheron <arneco@online.no>
  [19990317-pl04-1]

* Tue Mar 30 1999 Arne Coucheron <arneco@online.no>
  [19990317-pl03-2]
- Castro, Castro, pay attention my friend. You're making it very hard
  maintaining the package if you don't follow the flow of the releases

* Thu Mar 25 1999 Arne Coucheron <arneco@online.no>
  [19990317-pl02-1]

* Tue Mar 23 1999 Arne Coucheron <arneco@online.no>
  [19990317-3]
- added bugfix patch01

* Sat Mar 20 1999 Arne Coucheron <arneco@online.no>
  [19990317-2]
- removed the mynetworks line in main.cf, let postfix figure it out
- striping of the files in %{_sbindir}
- alias database moved to %{_sysconfdir}/postfix and made a symlink to it in %{_sysconfdir}
- enabled procmail support in main.cf and added it to Requires:
- check status on master instead of postfix in the init script
- obsoletes postfix-beta
- had to move some of my latest changelog entries up here since Edgard Castro
  didn't follow my releases

* Thu Mar 18 1999 Edgard Castro <castro@usmatrix.net>
  [19990317]

* Tue Mar 16 1999 Edgard Castro <castro@usmatrix.net>
  [alpha-19990315]

* Tue Mar  9 1999 Edgard Castro <castro@usmatrix.net>
  [19990122-pl01-2]
- shell and gecho information changed to complie with Red Hat stardand
- changed the name of the rpm package to postfix, instead of postfix-beta

* Tue Feb 16 1999 Edgard Castro <castro@usmatrix.net>
  [19990122-pl01-1]

* Sun Jan 24 1999 Arne Coucheron <arneco@online.no>
  [19990122-1]
- shell for postfix user changed to /bin/true to avoid logins to the account
- files in %{_libdir}exec/postfix moved to %{_libdir}/postfix since this complies
  more with the Red Hat standard

* Wed Jan 06 1999 Arne Coucheron <arneco@online.no>
  [19981230-2]
- added URL for the source
- added a cron job for daily check of errors
- sample config files moved from /etc/postfix/sample to the docdir 
- dropped making of symlinks in %{_sbindir} and instead installing the real
  files there
- because of the previous they're not needed anymore in %{_libdir}exec/postfix,
  so they are removed from that place

* Fri Jan 01 1999 Arne Coucheron <arneco@online.no>
  [19981230-1]

* Tue Dec 29 1998 Arne Coucheron <arneco@online.no>
  [19981222-1]
- first build of rpm version
